Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultVmpType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.core.VmpKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultVmpType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultVmpType

extends VmpKeyType
implements Serializable

Java class for ConsultVmpType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVmpType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:core}VmpKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Abbreviation" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Wada" type="{urn:be:fgov:ehealth:dics:protocol:v3}WadaType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultCommentedClassificationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="VmpGroup" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultVmpGroupType"/>
             <element name="Vtm" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultVtmType" minOccurs="0"/>
             <element name="VmpComponent" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultVmpComponentType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultVmpType()`

Method Summary
`ConsultTextType` | `getAbbreviation()` Gets the value of the abbreviation property.
`List<ConsultCommentedClassificationType>` | `getCommentedClassifications()` Gets the value of the commentedClassifications property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`List<ConsultVmpComponentType>` | `getVmpComponents()` Gets the value of the vmpComponents property.
`ConsultVmpGroupType` | `getVmpGroup()` Gets the value of the vmpGroup property.
`ConsultVtmType` | `getVtm()` Gets the value of the vtm property.
`List<WadaType>` | `getWadas()` Gets the value of the wadas property.
`void` | `setAbbreviation(ConsultTextType value)` Sets the value of the abbreviation property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setVmpGroup(ConsultVmpGroupType value)` Sets the value of the vmpGroup property.
`void` | `setVtm(ConsultVtmType value)` Sets the value of the vtm property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.core.VmpKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultVmpType

    public ConsultVmpType()

Method Detail

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getAbbreviation

    public ConsultTextType getAbbreviation()

  Gets the value of the abbreviation property.

  Returns:
    possible object is `ConsultTextType`

### setAbbreviation

    public void setAbbreviation(ConsultTextType value)

  Sets the value of the abbreviation property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getWadas

    public List<WadaType> getWadas()

  Gets the value of the wadas property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wadas property.

  For example, to add a new item, do as follows:

          getWadas().add(newItem);

  Objects of the following type(s) are allowed in the list `WadaType`

### getCommentedClassifications

    public List<ConsultCommentedClassificationType> getCommentedClassifications()

  Gets the value of the commentedClassifications property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commentedClassifications property.

  For example, to add a new item, do as follows:

          getCommentedClassifications().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultCommentedClassificationType`

### getVmpGroup

    public ConsultVmpGroupType getVmpGroup()

  Gets the value of the vmpGroup property.

  Returns:
    possible object is `ConsultVmpGroupType`

### setVmpGroup

    public void setVmpGroup(ConsultVmpGroupType value)

  Sets the value of the vmpGroup property.

  Parameters:
    `value` - allowed object is `ConsultVmpGroupType`

### getVtm

    public ConsultVtmType getVtm()

  Gets the value of the vtm property.

  Returns:
    possible object is `ConsultVtmType`

### setVtm

    public void setVtm(ConsultVtmType value)

  Sets the value of the vtm property.

  Parameters:
    `value` - allowed object is `ConsultVtmType`

### getVmpComponents

    public List<ConsultVmpComponentType> getVmpComponents()

  Gets the value of the vmpComponents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmpComponents property.

  For example, to add a new item, do as follows:

          getVmpComponents().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultVmpComponentType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.